<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.util.debug.Debug (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.util.debug.Debug (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?towerwarspp/util/debug/class-use/Debug.html" target="_top">Frames</a></li>
<li><a href="Debug.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.util.debug.Debug" class="title">Uses of Class<br>towerwarspp.util.debug.Debug</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.board">towerwarspp.board</a></td>
<td class="colLast">
<div class="block">The board Package which implements the Logic of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.io">towerwarspp.io</a></td>
<td class="colLast">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main">towerwarspp.main</a></td>
<td class="colLast">
<div class="block">The main package controls the whole game and implements the inputParameter dialog.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.main.game">towerwarspp.main.game</a></td>
<td class="colLast">
<div class="block">The Game package which controls the main game and implements the save and load option.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.player.mcts">towerwarspp.player.mcts</a></td>
<td class="colLast">
<div class="block">The mcts package which implements the monte carlo tree search algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.util.debug">towerwarspp.util.debug</a></td>
<td class="colLast">
<div class="block">The debug package which implements the Debugger</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.board">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> in <a href="../../../../towerwarspp/board/package-summary.html">towerwarspp.board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> declared as <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/board/Entity.html#debug">debug</a></span></code>
<div class="block">Instance of the class <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/board/SimpleBoard.html#debug">debug</a></span></code>
<div class="block">Instance of the class <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.io">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> in <a href="../../../../towerwarspp/io/package-summary.html">towerwarspp.io</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> declared as <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">HexagonGrid.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/io/HexagonGrid.html#debugInstance">debugInstance</a></span></code>
<div class="block">Debug Instance of <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">TextIO.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/io/TextIO.html#debugInstance">debugInstance</a></span></code>
<div class="block">Debug Instance of <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">GraphicIO.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/io/GraphicIO.html#debugInstance">debugInstance</a></span></code>
<div class="block">Debug Instance of <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a></div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> in <a href="../../../../towerwarspp/main/package-summary.html">towerwarspp.main</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/main/package-summary.html">towerwarspp.main</a> declared as <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">AgeOfTowers.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/main/AgeOfTowers.html#debug">debug</a></span></code>
<div class="block"><a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a> singleton that will be set to the debugging preferences entered by
 the user via the command line arguments at program start</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.game">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> in <a href="../../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> declared as <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/main/game/Game.html#debug">debug</a></span></code>
<div class="block"><a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a> object that is used to print out debug information from all parts of the program in main game loop.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> in <a href="../../../../towerwarspp/player/package-summary.html">towerwarspp.player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> declared as <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasePlayer.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/BasePlayer.html#debug">debug</a></span></code>
<div class="block"><a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a> Debug instance to log messages.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">Adv2Player.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/Adv2Player.html#debug">debug</a></span></code>
<div class="block">Debug object to send debug messages.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player.mcts">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> declared as <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">UpdateTree.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/UpdateTree.html#debug">debug</a></span></code>
<div class="block"><a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a> object that is used to send relevant debug messages.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Mcts.html#debug">debug</a></span></code>
<div class="block">Reference to Debug object that is used to send debug messages.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#debug">debug</a></span></code>
<div class="block"><a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a> instance that is used to send Debug messages.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.util.debug">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> in <a href="../../../../towerwarspp/util/debug/package-summary.html">towerwarspp.util.debug</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/util/debug/package-summary.html">towerwarspp.util.debug</a> declared as <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">Debug.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/util/debug/Debug.html#debug">debug</a></span></code>
<div class="block">Single instance of this class.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/util/debug/package-summary.html">towerwarspp.util.debug</a> that return <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><span class="typeNameLabel">Debug.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/util/debug/Debug.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Returns the current <a href="../../../../towerwarspp/util/debug/Debug.html#debug"><code>debug</code></a> instance.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?towerwarspp/util/debug/class-use/Debug.html" target="_top">Frames</a></li>
<li><a href="Debug.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
